Prérequis

From Dolibarr ERP CRM Wiki
Jump to navigation Jump to search


Retour index
Documentation Utilisateur

File Doc user.png

Dolibarr est conçu pour fonctionner avec les composants suivant:

OS

  • Tous les OS connus sont supportés.

Par exemple: Linux, BSD, Windows, MacOS, Aix, ...

Bases de données

  • Mysql 5.0.3+ (toutes options/configurations possibles). N'utilisez pas les version 5.5.40 ni 5.5.41 qui ont des bugs critiques amenant perte de données.

Si le fonctionnement avec l'option mode=STRICT renvoie des warnings ou erreur merci de nous le signaler. Les tests dans ce mode sont rares, car cette option est rarement activée.

  • MariaDb 5.0.3+
  • PostgresSql 8.1.4+
  • MSSql (support expérimental non opérationnel)
  • Le volume requis est de 1Mo par tranche de 100 clients/fournisseurs enregistrés en base.
  • La configuration PHP doit permettre l'utilisation de 128Mb de mémoire (parametre PHP memory_limit).

PHP

  • Version min 5.5.0+ (requires functions like DateTimeZone.getOffset, php-intl) - Version max 7.3.*
  • Le support des sessions doit être actifs (c'est le cas par défaut en PHP)
  • Fonctionne quelque soit le paramètre safe_mode
  • La configuration PHP doit autoriser une taille de mémoire par session d'au moins 128 (paramètre memory_limit).

Espace disque

  • Les fichiers du programme occupe moins de 150Mo.

Toutefois, il vous faudra disposer de plus d'espace disque si vous uploader des pièces jointes ou pour stocker les factures PDF ou ODT générées. Le volume dépendra du nombre de pièces attachées.

Puissance CPU

Toute machine actuelle ou ancienne est assez puissante pour faire tourner Dolibarr, même un vieux 386. Au delà de 50 utilisateurs, un serveur d'au moins 1Ghz est recommandé.